define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var biz = require("$UI/system/lib/biz");
	var DocUtils = require('$UI/system/components/justep/docCommon/docUtil');
	var utils = require("$UI/C01V01/M010_BaseInfo/process/js/utils");
	var flag = '0';
	var Model = function() {
		this.callParent();
		this.checked1 = justep.Bind.observable(1);
		this.checked2 = justep.Bind.observable(1);
		this.checked3 = justep.Bind.observable(1);
		this.imgsList = justep.Bind.observableArray([]);
		this.listimgsList = justep.Bind.observableArray([]);
	};

	Model.prototype.SubjectAfterRefresh = function(event) {
		event.source.newData({
			"index" : 0,
			"defaultValues" : [ {
				"fName" : "全部"
			} ]

		});
	};

	Model.prototype.output1Click = function(event) {
		var row = event.bindingContext.$object;

		this.comp("Filter").setValue("fSubject", row.val("fName"));
	};

	Model.prototype.PropertyAfterRefresh = function(event) {
		event.source.newData({
			"index" : 0,
			"defaultValues" : [ {
				"fName" : "全部"
			} ]

		});
	};

	Model.prototype.output2Click = function(event) {
		var row = event.bindingContext.$object;

		this.comp("Filter").setValue("fType", row.val("fName"));
	};

	Model.prototype.output5Click = function(event) {
		var row = event.bindingContext.$object;

		this.comp("Filter").setValue("fGrade", row.val("fGradeClassName"));
	};

	Model.prototype.GradeAfterRefresh = function(event) {
		event.source.newData({
			"index" : 0,
			"defaultValues" : [ {
				"fGradeClassName" : "全部"
			} ]

		});
	};

	// 下载
	Model.prototype.button1Click = function(event) {
		var row = event.bindingContext.$object;
		if (row.val("fAttachment")) {
			var attachment = JSON.parse(row.val("fAttachment"));
			for ( var i in attachment) {
				DocUtils.InnerUtils.downloadDocByFileID({
					docPath : attachment[i].docPath,
					fileID : attachment[i].fileID,
					context : this.getContext()
				});
			}
			row.val("fDownloadTime", row.val("fDownloadTime") ? (row.val("fDownloadTime") + 1) : 1);
			this.comp("mainData").saveData();

		}

	};

	// 值改变事件
	Model.prototype.FilterValueChanged = function(event) {
		if (event.col == "fSubject") {
			if (event.value == "全部") {
				this.comp("mainData").setFilter("filterSub", "");

			} else {

				this.comp("mainData").setFilter("filterSub", "M010_Courseware.fBlongSubject='" + event.value + "'");
			}
		} else if (event.col == "fType") {
			if (event.value == "全部") {
				this.comp("mainData").setFilter("filterType", "");
			} else {
				this.comp("mainData").setFilter("filterType", "M010_Courseware.fCourseProperty='" + event.value + "'");
			}
		} else if (event.col == "fGrade") {
			this.comp("Filter").setValue("fSubject", "全部");
			this.comp("Filter").setValue("fSubversion", "全部");
			this.comp("Filter").setValue("fStubooks", "全部");
			if (event.value == "全部") {
				this.comp("mainData").setFilter("filterGra", "");

			} else {
				this.comp("mainData").setFilter("filterGra", "M010_Courseware.fBelongGrade='" + event.value + "'");
			}
		} else if (event.col == "fSubversion") {
			this.comp("Filter").setValue("fStubooks", "全部");
			if (event.value == "全部") {
				this.comp("mainData").setFilter("filterGra", "");

			} else {
				this.comp("mainData").setFilter("filterGra", "M010_Courseware.fSubjectVersion='" + event.value + "'");
			}
		} else if (event.col == "fStubooks") {
			if (event.value == "全部") {
				this.comp("mainData").setFilter("filterGra", "");

			} else {
				this.comp("mainData").setFilter("filterGra", "M010_Courseware.fSubjectBooks='" + event.value + "'");
			}
		}
		this.comp("mainData").refreshData();

	};
	// 收藏
	Model.prototype.button3Click = function(event) {
		// 添加到收藏详细表里面 同时收藏次数也要+1
		var row = event.bindingContext.$object;
		// 如果从表里面已经有了主表的数据并且还是当前用户收藏的就要提示用户已经收藏过了
		// 获取当前用户
		// info、success、warning、danger
		var mainData = this.comp("mainData");
		var params = new biz.Request.ActionParam();
		params.setString("rowID", row.getID());
		biz.Request.sendBizRequest({
			"context" : this.getContext(),
			"action" : "collectAction",
			"parameters" : params,
			"callback" : function(result) {
				if (result.state) {
					if (result.response == true) { // 没有重复的
						row.val("fCollectTime", row.val("fCollectTime") ? (row.val("fCollectTime") + 1) : 1);
						mainData.saveData();
						utils.showMsg("收藏成功!");

					} else {
						utils.showMsg("已经收藏过了哦,请见【我的收藏】!");
						return;
					}

				}

			}

		});

	};


	// 浏览
	Model.prototype.viewBtn = function(event) {
		var row = event.bindingContext.$object;
		row.val("fViewCount", row.val("fViewCount") ? (row.val("fViewCount") + 1) : 1);
		// 再保存主表
		this.comp("mainData").saveData();
	};

	// 获赞次数
	Model.prototype.recevBtn = function(event) {
	// 添加到点赞详细表里面 同时点赞次数也要+1
		var row = event.bindingContext.$object;
		// 如果从表里面已经有了主表的数据并且还是当前用户收藏的就要提示用户已经收藏过了
		// 获取当前用户
		// info、success、warning、danger
		var mainData = this.comp("mainData");
		var params = new biz.Request.ActionParam();
		params.setString("rowID", row.getID());
		biz.Request.sendBizRequest({
			"context" : this.getContext(),
			"action" : "pariseAction",
			"parameters" : params,
			"callback" : function(result) {
				if (result.state) {
					if (result.response == true) { // 没有重复的
						row.val("fReceivedCount", row.val("fReceivedCount") ? (row.val("fReceivedCount") + 1) : 1);
						mainData.saveData();
						utils.showMsg("点赞成功!");

					} else {
						utils.showMsg("您已经赞过了哦!");
						return;
					}

				}

			}

		});
	};
	// 按章节 点击出现DIV
	Model.prototype.button10Click = function(event) {
		var div17 = $(this.getElementByXid("div17"));
		div17.css("display") === "none" && div17.show() || div17.hide();
	};
	// 知识点
	Model.prototype.li1Click = function(event) {
		var row = event.bindingContext.$object;
		var mainData = this.comp("mainData");
		if (row) {
			this.comp("statusData").setValue("edit", row.val("fIndex"));
			mainData.setFilter("__filter__", "M010_Courseware.fKnowPoint='" + row.val("fName") + "'");
			mainData.refreshData();
		}
	};
	// 显示下拉事件
	Model.prototype.gridSelect2ShowOption = function(event) {
		var subjectData = this.comp("subjectData");
		var Filter = this.comp("Filter");
		var fGrade = Filter.getValue("fGrade");
		subjectData.setFilter("__filter_", "M010_CMGradeSubject.fGradeName='" + fGrade + "'");
		subjectData.refreshData();
	};

	// 下拉显示 版本
	Model.prototype.gridSelect4ShowOption = function(event) {
		var versionData = this.comp("versionData");
		var fGrade = this.comp("Filter").getValue("fGrade");
		var fSubject = this.comp("Filter").getValue("fSubject");
		if (fGrade) {
			if (!(fSubject == "全部")) {
				versionData.setFilter("__fikerg__", "M010_SubjectVersion.fGrade='" + fGrade + "' and M010_SubjectVersion.fSubject='" + fSubject + "'");
			} else {
				utils.showMsg("请先选择学科！");
				versionData.setFilter("__fikerg__", "M010_SubjectVersion.fGrade=1");
			}
		}
		versionData.refreshData();
	};
	// 下拉显示 上下册
	Model.prototype.gridSelect5ShowOption = function(event) {
		var stuBookData = this.comp("stuBookData");
		var Filter = this.comp("Filter");
		var fGrade = Filter.getValue("fGrade");
		var fSubversion = Filter.getValue("fSubversion");
		stuBookData.setFilter("---filter", "M010_StudyBooks.fGrade='" + fGrade + "' and M010_StudyBooks.fSubjectVersion='" + fSubversion + "'");
		stuBookData.refreshData();
	};

	// 最新发布
	Model.prototype.button5Click = function(event) {
		this.checked1.set(2);
		var mainData = this.comp("mainData");
		mainData.filters.clear();
		var nowDateTimeStr = justep.Date.toString(new Date(), justep.Date.STANDART_FORMAT_SHOT);
		mainData.setFilter("_filter__", "M010_Courseware.fUpdateTime like '%" + nowDateTimeStr + "%'");
		mainData.refreshData();
	};
	// 下载次数最多的
	Model.prototype.button6Click = function(event) {
		this.checked1.set(3);
		var mainData = this.comp("mainData");
		mainData.filters.clear();
		biz.Request.sendBizRequest({
			"context" : this.getContext(),
			"action" : "maxDownAction",
			"callback" : function(result) {
				if (result.state) {
					mainData.setFilter("-------filter----", "M010_Courseware='" + result.response + "'");
					mainData.refreshData();
				}

			}

		});
	};
	// 评分最高的
	Model.prototype.button7Click = function(event) {
	};
	// 全部
	Model.prototype.allBtn = function(event) {
		this.checked1.set(1);
		this.comp("mainData").filters.clear();
		this.comp("mainData").refreshData();
	};

	// 浏览
	Model.prototype.li9Click = function(event) {
		var row = event.bindingContext.$object;
/*		var list3 = $(this.getElementByXid("list3"));
		list3.css("display") === "none" && list3.show() || list3.hide();*/
		 var panelContent = $(".panel-body", event.currentTarget);
		 panelContent.is(":visible") ? panelContent.hide() : panelContent.show();      
		
		// 显示详细
		var btn = this.comp("button2");
		var iconsty = btn.icon;
		// -------------------------------------------------------------------------------------------------------------------改变图标
		// 转向
		this.comp("mainData").to(row);
		var bizData1 = this.comp("bizData1");
		var count = bizData1.getCount();
		if (count > 0) {
			bizData1.clear();
			flag = '0';

		} else {
			// 过滤数据

			bizData1.setFilter("_filter__", "M010_Courseware='" + row.getID() + "'");
			bizData1.refreshData();
			flag = '1';

		}

		if (flag === '0') {
			btn.set("icon", "icon-chevron-right");
		}
		if (flag === '1') {

			// 浏览次数
			row.val("fViewCount", row.val("fViewCount") ? (row.val("fViewCount") + 1) : 1);
			// 再保存主表
			this.comp("mainData").saveData();
			if (count > 0) {
				btn.set("icon", "icon-chevron-down");
			}

		}

	};
	// 显示隐藏
	Model.prototype.showBtn = function(event) {
		var row2 = $(this.getElementByXid("row2"));
		var row4 = $(this.getElementByXid("row4"));
		row2.css("display") === "none" && row2.show() || row2.hide();
		row4.css("display") === "none" && row4.show() || row4.hide();

	};

	// 清掉数据
	Model.prototype.modelLoad = function(event) {
		this.comp("bizData1").clear();
	};

	// 点击图标预览
	Model.prototype.image1Click = function(event) {
		var fAttachment = event.bindingContext.$object.val("fAttachment");
		if (fAttachment !== null && fAttachment !== "" && fAttachment !== "[]") {
			var jsonList = eval("(" + fAttachment + ")");
			if (jsonList.length > 0) {
				for (var i = 0; i < jsonList.length; i++) {
					var fileID = jsonList[i]["fileID"];
					var docPath = jsonList[i]["docPath"];
					var docName = jsonList[i]["docName"];

					var url = DocUtils.InnerUtils.getdocServerAction({
						"docPath" : docPath,
						urlPattern : "/repository/file/view/" + fileID + "/last/content",
						isFormAction : false,
						context : this.getContext()
					});
					var imgUrl = require.toUrl(url);
				}

				this.comp("windowDialog1").open({
					"data" : imgUrl
				});
			}
		}
	};

	// 圖片點擊
	var personID = "";
	Model.prototype.imageClick = function(event) {
		var row = event.bindingContext.$object;
		// 获取当前点击的是第几个星？
		var val = event.currentTarget.getAttribute('val');
		var number = parseInt(val);
		// row.val('relation0',number);
		// 存在评分表里面\
		var starData = this.comp("starData");
		var rowID = row.getID();
		// 新增一个
		personID = this.getContext().getCurrentPersonID();
		// 查找是否当前用户已评论了
		var rows = starData.find([ 'fCreatorID', 'fWareID' ], [ personID, rowID ]);
		// 如果没有再新增
		if (rows.length <= 0) {
			var options = {};
			var defaultValues = [];
			defaultValues.push({
				M010_ScoreStar : justep.UUID.createUUID(),
				fWareID : rowID,
				fStatus : "已评价",
				fStarNum : number
			});
			options.defaultValues = defaultValues;
			starData.newData(options);
			starData.saveData();
			utils.showMsg("谢谢您的评分！");
		} else {// 有的话就是更新咯

			utils.showMsg("您已经评过了哦！");
		}

	};
	var textList = [ '很差', '较差', '还行', '推荐', '力荐' ];
	Model.prototype.getImageUrl = function(row, index, img) {
		// 获取当前显示的星数、当前行索引，第几张图片
		var starData = this.comp("starData");
		personID = this.getContext().getCurrentPersonID();
		var row = starData.find([ 'fCreatorID', 'fWareID' ], [ personID, row.getID() ]);
		var star = "";
		if (row.length > 0) {
			star = row[0].val("fStarNum");
			$(this.getElementByXid("spansp")).text(textList[star - 1]);
			$(this.getElementByXid("span10")).text("您已评价：");
		} else {
			$(this.getElementByXid("span10")).text("我的评分：");
			star = 0;
		}
		var imgs = this.imgsList.get()[index];
		// 获取相应行的图片，根据星的个数值，赋值图片显示类型，star 个图片是深颜色的
		for (var i = 0; i <= star; i++) {
			if (i == 0) {// UI2/C01V01/M010_BaseInfo/process/img/2.png
				imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
				imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
				imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
				imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
				imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			} else if (i == 1) {// UI2/C01V01/M010_BaseInfo/process/img/1.png
				imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
				imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
				imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
				imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
				imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			} else if (i == 2) {
				imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
				imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
				imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
				imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
				imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			} else if (i == 3) {
				imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
				imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
				imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
				imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
				imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			} else if (i == 4) {
				imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
				imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
				imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
				imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
				imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			} else if (i == 5) {
				imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
				imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
				imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
				imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
				imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			}

		}
		if (img == 'img1') {
			return require.toUrl(imgs.img1);
		} else if (img == 'img2') {
			return require.toUrl(imgs.img2);
		} else if (img == 'img3') {
			return require.toUrl(imgs.img3);
		} else if (img == 'img4') {
			return require.toUrl(imgs.img4);
		} else if (img == 'img5') {
			return require.toUrl(imgs.img5);
		}
	};
	// 刷新后事件
	Model.prototype.bizData1AfterRefresh = function(event) {
		var me = this;
		event.source.each(function(param) {
			me.imgsList.get().push({
				img1 : '',
				img2 : '',
				img3 : '',
				img4 : '',
				img5 : ''
			});
		});

	};
	// 鼠标
	Model.prototype.image14Mouseover = function(event) {
		var row = event.bindingContext.$object;
		var ll = this.commonFun(row);
		if (ll <= 0) {
			$(this.getElementByXid("span15")).text("很差");
		}
	};
	Model.prototype.image15Mouseover = function(event) {
		var row = event.bindingContext.$object;
		var ll = this.commonFun(row);
		if (ll <= 0) {
			$(this.getElementByXid("span15")).text("较差");
		}
	};
	Model.prototype.image12Mouseover = function(event) {
		var row = event.bindingContext.$object;
		var ll = this.commonFun(row);
		if (ll <= 0) {
			$(this.getElementByXid("span15")).text("还行");
		}
	};
	Model.prototype.image13Mouseover = function(event) {
		var row = event.bindingContext.$object;
		var ll = this.commonFun(row);
		if (ll <= 0) {
			$(this.getElementByXid("span15")).text("推荐");
		}
	};
	Model.prototype.image11Mouseover = function(event) {
		var row = event.bindingContext.$object;
		var ll = this.commonFun(row);
		if (ll <= 0) {
			$(this.getElementByXid("span15")).text("力荐");
		}
	};
	// 鼠标移上去的公共方法
	Model.prototype.commonFun = function(row) {
		var starData = this.comp("starData");
		personID = this.getContext().getCurrentPersonID();
		var row1 = starData.find([ 'fCreatorID', 'fWareID' ], [ personID, row.getID() ]);
		return row1.length;
	};
	// 接管刷新
	Model.prototype.listStarDataCustomRefresh = function(event) {
		var listStarData = this.comp("listStarData");
		utils.loadDataValue(this, listStarData, "queryStar_avgAction", null);
	};
	// 显示平均分
	Model.prototype.getlistImageUrl = function(row, index, img) {
		// 获取当前显示的星数、当前行索引，第几张图片
		var listStarData = this.comp("listStarData");
		var mainData = this.comp("mainData");
		var rowr = listStarData.find([ 'fWareID' ], [ row.getID() ]);
		var avg1 = "";
		if (rowr.length > 0) {
			avg1 = rowr[0].val("avg1");
			mainData.setValueByID("avg11",avg1, row.getID());
		} else {
			avg1 = 0;
		}
		var imgs = this.listimgsList.get()[index];
		// 获取相应行的图片，根据星的个数值，赋值图片显示类型，star 个图片是深颜色的
		if (avg1 == 0) {
			imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
		} else if (avg1 == 1) {// UI2/C01V01/M010_BaseInfo/process/img/1.png
			imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
		} else if (1 < avg1 && avg1 < 1.5) {
			imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/5.png';
			imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
		} else if (avg1 == 1.5) {
			imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/3.png';
			imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
		} else if (1.5 < avg1 && avg1 < 2) {
			imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/6.png';
			imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
		} else if (avg1 == 2) {
			imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
		} else if (2 < avg1 && avg1 < 2.5) {
			imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/5.png';
			imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
		} else if (avg1 == 2.5) {
			imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/3.png';
			imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
		} else if (2.5 < avg1 && avg1 < 3) {
			imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/6.png';
			imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
		} else if (avg1 == 3) {
			imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
			imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
		} else if (3 < avg1 && avg1 < 3.5) {
			imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/5.png';
			imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
		} else if (avg1 == 3.5) {
			imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/3.png';
			imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
		} else if (3.5 < avg1 && avg1 < 4) {
			imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/6.png';
			imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
		} else if (avg1 == 4) {
			imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/2.png';
		} else if (4 < avg1 && avg1 < 4.5) {
			imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/5.png';
		} else if (avg1 == 4.5) {
			imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/3.png';
		} else if (4.5 < avg1 && avg1 < 5) {
			imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/6.png';
		} else if (avg1 == 5) {
			imgs.img1 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img2 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img3 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img4 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
			imgs.img5 = '$UI/C01V01/M010_BaseInfo/process/img/1.png';
		}

		if (img == 'img1') {
			return require.toUrl(imgs.img1);
		} else if (img == 'img2') {
			return require.toUrl(imgs.img2);
		} else if (img == 'img3') {
			return require.toUrl(imgs.img3);
		} else if (img == 'img4') {
			return require.toUrl(imgs.img4);
		} else if (img == 'img5') {
			return require.toUrl(imgs.img5);
		}
	};
	// 刷新后
	Model.prototype.mainDataAfterRefresh = function(event) {
		var me = this;
		event.source.each(function(param) {
			me.listimgsList.get().push({
				img1 : '',
				img2 : '',
				img3 : '',
				img4 : '',
				img5 : ''
			});
		});
	};


	Model.prototype.li9Click11 = function(event){
		
//		var panelContent = $(".panel-body", $(event.currentTarget).find(".btndetail"));
//        panelContent.is(":visible") ? panelContent.hide() : panelContent.show();   
//        
	};


	return Model;
});